%define major 0
%define libname %mklibname %{name} %{major}
%define develname %mklibname -d %{name}

Name:           avfs
Version:        1.1.5
Release:        %mkrel 2
Summary:        A Virtual File System
License:        GPLv2
Group:          System/Base
Url:            https://avf.sourceforge.net/
Source0:        https://downloads.sourceforge.net/avf/%{name}-%{version}.tar.bz2
BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(fuse)
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)
Conflicts:      %{_lib}avfs0 < 1.0.1-3

%description
AVFS is a system, which enables all programs to look inside archived or
compressed files, or access remote files without recompiling the programs
or changing the kernel.
At the moment it supports floppies, tar and gzip files, zip, bzip2, ar and
rar files, ftp sessions, http, webdav, rsh/rcp, ssh/scp. Quite a few other
handlers are implemented with the Midnight Commander's external FS.

%package -n %{libname}
Summary:        Libraries needed for %{name}
Group:          System/Libraries

%description -n %{libname}
This package contains the libraries for the %{name} virtual file system.

%package -n %{develname}
Summary:        Header files for %{name}
Group:          System/Libraries
Provides:       %{name}-devel = %{version}-%{release}
Requires:       %{libname} = %{version}-%{release}
Conflicts:      %{name} < 1.0.1-3

%description -n %{develname}
This package contains the header files needed to develop with %{name}

%prep
%setup -q

%build
%configure --with-system-zlib --with-system-bzlib --enable-fuse --enable-static=no
%make_build

%install
%make_install

find %{buildroot} -name *.la -delete

%files
%doc README AUTHORS ChangeLog NEWS
%{_bindir}/avfsd
%{_bindir}/davpass
%{_bindir}/ftppass
%{_bindir}/mountavfs
%{_bindir}/umountavfs
%{_libdir}/avfs

%files -n %{libname}
%{_libdir}/libavfs.so.%{major}
%{_libdir}/libavfs.so.%{major}.*

%files -n %{develname}
%{_bindir}/avfs-config
%{_libdir}/libavfs.so
%{_libdir}/pkgconfig/%{name}.pc
%{_includedir}/avfs.h
%{_includedir}/virtual.h


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.1.5-2.mga10
+ Revision: 2225675
- Mageia 10 Mass Rebuild

* Tue Aug 20 2024 mrambo3501 <mrambo3501> 1.1.5-1.mga10
+ Revision: 2087180
- version 1.1.5

* Fri Mar 18 2022 umeabot <umeabot> 1.1.4-2.mga9
+ Revision: 1797879
- Mageia 9 Mass Rebuild

* Fri Jan 14 2022 mrambo3501 <mrambo3501> 1.1.4-1.mga9
+ Revision: 1768290
- version 1.1.4

* Tue Aug 25 2020 shlomif <shlomif> 1.1.3-1.mga8
+ Revision: 1618900
- New version 1.1.3

* Wed May 06 2020 shlomif <shlomif> 1.1.2-1.mga8
+ Revision: 1580796
- New version 1.1.2

* Wed Feb 19 2020 umeabot <umeabot> 1.1.1-2.mga8
+ Revision: 1543142
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Jan 14 2020 shlomif <shlomif> 1.1.1-1.mga8
+ Revision: 1477923
- New version 1.1.1
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Jul 16 2019 shlomif <shlomif> 1.1.0-1.mga8
+ Revision: 1421945
- New version 1.1.0

* Wed Sep 12 2018 shlomif <shlomif> 1.0.6-1.mga7
+ Revision: 1258657
- New version 1.0.6

* Tue Oct 24 2017 shlomif <shlomif> 1.0.5-1.mga7
+ Revision: 1173257
- New version 1.0.5

* Fri Apr 15 2016 shlomif <shlomif> 1.0.3-1.mga6
+ Revision: 1002664
- New version 1.0.3

* Fri Feb 05 2016 umeabot <umeabot> 1.0.1-8.mga6
+ Revision: 936659
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.1-7.mga5
+ Revision: 749077
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.0.1-6.mga5
+ Revision: 693470
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.0.1-5.mga5
+ Revision: 678073
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.1-4.mga4
+ Revision: 527520
- Mageia 4 Mass Rebuild

* Sun Jun 09 2013 fwang <fwang> 1.0.1-3.mga4
+ Revision: 441039
- move config into devel package

* Fri Jan 11 2013 umeabot <umeabot> 1.0.1-2.mga3
+ Revision: 346703
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 13 2012 obgr_seneca <obgr_seneca> 1.0.1-1.mga3
+ Revision: 260298
- New version 1.0.1

* Tue Feb 14 2012 obgr_seneca <obgr_seneca> 1.0.0-1.mga2
+ Revision: 208680
- added missing buildrequires
- imported package avfs


* Wed Feb 08 2012 Oliver Burger <obgr_seneca@mageia.org> 1.0.0-1.mga2
- initial package for Mageia
